import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:mohem_flutter_app/classes/utils.dart';
import 'package:mohem_flutter_app/models/member_information_list_model.dart';
import 'package:mohem_flutter_app/ui/screens/profile/widgets/profile_info.dart';

class ProfilePanle extends StatelessWidget {
  ProfilePanle(this.memberInformationList);
  late MemberInformationListModel memberInformationList;
  @override
  Widget build(BuildContext context) {
    double _width = MediaQuery.of(context).size.width;
    return Container(
        margin: EdgeInsets.fromLTRB(5, 0, 5, 10),
        height: MediaQuery.of(context).size.height,
        child: Stack(children: [
          Container(
            width: _width,
            margin: EdgeInsets.only(top: 50),
            padding: EdgeInsets.only(top: 50),
            decoration: BoxDecoration(
                color: Colors.white,
                borderRadius: const BorderRadius.only(topLeft: Radius.circular(25), topRight: Radius.circular(25)),
                boxShadow: [BoxShadow(color: Colors.white60, blurRadius: 10, spreadRadius: 10)]),
            child: ProfileInFo(memberInformationList),
          ),
          Container(height: 100, alignment: Alignment.center, child: ProfileImage())
        ]));
  }

  Widget ProfileImage() => CircleAvatar(
        radius: 70,
        backgroundImage: MemoryImage(Utils.getPostBytes(memberInformationList.eMPLOYEEIMAGE)),
        backgroundColor: Colors.black,
      );
}
